/*
 * 推荐实现
	var UIActionSelector = api.require('UIActionSelector');
	$("button").on('click',function(){
		var domobj=$(this);
		var selecteddata=null;
		if(domobj.data("selected")){selecteddata=domobj.data("selected");}
		//初始化 选择器
		var actionselectobj=new actionselector({
			"moduleobj":UIActionSelector,
			"listdata":'../../script/addressdata.js',	//选项数据 数组 或 js路径地址	('../../script/addressdata.js')
			"selecteddata":selecteddata || false,	//已选择数据
			"selectcallback":function(res){	 //选择后回调处理
				//自定义 选择后回调
				//{"eventType":"ok","level1":"河南省1","level2":"郑州市1","level3":"中原区1","selectedInfo":[{"name":"河南省1"},{"name":"郑州市1"},{"name":"中原区1"}]}
				alert("选择自定义回调： "+JSON.stringify(res));
				domobj.data("selected",res);
				actionselectobj=null;
			},
			"optionseditfn":function(options){	//自定义参数	用不到可传false 或不加本参数
				return options;
			}
		})
	});
	
	数据结构要求：
	1、只有一级数据：[{"id":"1101","name":"蔬菜"},{"id":"1101","name":"蔬菜"}...]
	2、含有二级数据：[{"id":"1101","name":"蔬菜","sub":[{"id":"110101","name":"茄子"},{"id":"110101","name":"辣椒"}]},{"id":"1101","name":"肉类","sub":[{"id":"110101","name":"牛肉"},{"id":"110101","name":"猪肉"}]...]
	以此类推...
*/
//底部滑动选择器 构造函数
function actionselector(options){
	this.moduleobj=options.moduleobj;
	this.selecteddata=options.selecteddata || false;
	this.selectcallback=options.selectcallback || false;
	this.optionseditfn=options.optionseditfn || false;
	this.cancelback=options.cancelback || false;
	this.selectedarr=[];
	var This=this;
	if(typeof options.listdata=='string'){
		$.getScript(options.listdata,function(res,status){
			if(status=='success'){
				This.listdata=JSON.parse(res);
				if(This.selecteddata){
					This.selectedarr=This.initeditdata();
				}
				This.init();
			}else{
				return false;
			}
		})
	}else{
		this.listdata=options.listdata;
		if(this.selecteddata){
			This.selectedarr=this.initeditdata();
		}
		this.init();
	}
}
actionselector.prototype.callback=function(res){
	if(res.eventType=='cancel'){
		if(this.cancelback){
			this.cancelback(res);
		}
	}else{
		this.selecteddata=res;
		this.selectcallback(res);
		//{"eventType":"ok","level1":"河南省6","level2":"郑州市6","level3":"中原区6","selectedInfo":[{"name":"河南省6"},{"name":"郑州市6"},{"name":"中原区6"}]}
	}
}
actionselector.prototype.init=function(){
	var This=this;
	var colnum=1;
	if(this.listdata && this.listdata.length>0){
		for(var i=0;i<this.listdata.length;i++){
			if(this.listdata[i].hasOwnProperty('sub')){
				colnum=2;
				var chindsub=this.listdata[i]['sub'];
				if(chindsub && chindsub.length>0){
					for(var j=0;j<chindsub.length;j++){
						if(chindsub[j].hasOwnProperty('sub')){
							colnum=3;
						}
					}
				}
			}
		}
	}else{
		return false;
	}
	var remfz=$api.getStorage("VERTICALFZ");
	var activeitemfz=parseInt(0.28*remfz);
	var itemfz=parseInt(0.24*remfz);
	var btnfz=parseInt(0.3*remfz);
	var options={
	    datas:this.listdata,
	    layout: { row: 6, col: colnum, height: 30, size: itemfz, sizeActive: activeitemfz, rowSpacing: 10, colSpacing: 0, maskBg: 'rgba(0,0,0,0.5)', bg: '#fff', color: '#888', colorActive: '#333', colorSelected: '#333', leftMargin: 0, rightMargin: 0, lineColor:'#fff', },
	    lineColor:'#E0E0E0',
	    animation: true,
	    cancel: { text: '取消', size: btnfz, w: 50, h: 35, bg: '#fff', bgActive: '#fff', color: '#64C3A4', colorActive: '#64C3A4' },
	    ok: { text: '确定', size: btnfz, w: 50, h: 35, bg: '#fff', bgActive: '#fff', color: '#64C3A4', colorActive: '#64C3A4' },
	    title: { text: '', size: 12, h: 44, bg: '#fff', color: '#ccc' },
	    fixedOn: api.frameName
	}
	if(This.selectedarr.length>0){
		options.actives=This.selectedarr;
	}
	if(this.optionseditfn){options=this.optionseditfn(options);}	//自定义修改参数
	this.moduleobj.open(options, function(ret, err) {
	    if (ret) {
	    	if(This.callback){This.callback(ret);}
	    } else {
	        return false;
	    }
	});
}
actionselector.prototype.initeditdata=function(){
	var This=this;
	//已编辑 选中
	var acticearr=[];
	if(this.selecteddata && this.selecteddata.hasOwnProperty('level1')){
		for(var i=0;i<this.listdata.length;i++){
			if(this.listdata[i]['name']==this.selecteddata['level1']){
				acticearr.push(i);
				if(this.selecteddata.hasOwnProperty('level2')){
					if(this.listdata[i].hasOwnProperty('sub') && this.listdata[i]['sub'].length>0){
						var childa=this.listdata[i]['sub'];
						for(var j=0;j<childa.length;j++){
							if(childa[j]['name']==this.selecteddata['level2']){
								acticearr.push(j);
								if(this.selecteddata.hasOwnProperty('level3')){
									var childb=childa[j]['sub'];
									if(childa[j].hasOwnProperty('sub')){
										for(var k=0;k<childb.length;k++){
											if(childb[k]['name']==this.selecteddata['level3']){
												acticearr.push(k);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		return acticearr;
	}
}